Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-4434789

Applet can not use IBMJCE provider if it was installed at bundle extesion

    Details

      Description

      Platform:
      Generic

      JDK version:
      Merlin JDK b58

      Note:
          1. Passed on JDK1.3 FCS
          2. If we use SunJCE provider instead of IBMJCE provider, this test will pass for both JDK 1.4 and JDK1.3

      How to reproduce
      1. get TestIBMProvider.tar from this attachment
      2. untar it and go IBMJCE
      3. sh Run.sh
      4. you see this message ---
      yetoom:/home/stuartk/merlin_jdk/TestSuite/src/jce/Dynamic/Bundle/applet/IBMJCE( 248 )%!sh
      sh Run.sh
      /home/stuartk/merlin_jdk/TestSuite/src/jce/Dynamic/Bundle/applet/IBMJCE
      === provider installed at bundle extesion ==========
      added manifest
      adding: HelloJCE$1.class(in = 466) (out= 330)(deflated 29%)
      adding: HelloJCE.class(in = 2072) (out= 1122)(deflated 45%)
      HelloJCE: started.
      Status: FAIL -- I can not get a cipher instance java.security.NoSuchAlgorithmException: Class com.ibm.crypto.provider.DESCipher configured for Cipher cannot be instantiated: null

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                valeriep Valerie Peng
                Reporter:
                skesunw Stuart Ke (Inactive)
              • Votes:
                0 Vote for this issue
                Watchers:
                0 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:
                  Imported:
                  Indexed: